# Bin library

Scripts and tools to maintain this library

## Data Test 

**data_test.sh** allows to set environment values to **test** elements with **DscEntries** <u>derive</u> to load data and output loaded data.

Use environment vars:  DATA_PATH DATA_TARGET DATA_FORMAT DATA_TOTAL DATA_OUT_FORMAT

Example:
``` 
data_test.sh dsc/ta/data ta_data.yaml yaml 106 toml
```
Run in a terminal inside libray/defs/bm/item path with path to data files

**lang_test.sh** allows to test lang items for elementes 

Use environment vars:  DATA_LANG_PATH DATA_LANG_TARGET DATA_LANG_FORMAT DATA_LANG_OUT_FORMAT DATA_LANG_SECTION

Example:
``` 
lang_test.sh dsc/ta/langs es.yaml yaml toml main 
```

Run in a terminal inside libray/defs/dsc path with path to lang file directory.

**clean_debug** Clean all target/debug in library. It should be run in a terminal from inside library root directory.

**clean_targets** Clean all target directories in library. It should be run in a terminal from inside library root directory.

**size_targets.sh** List target directories size in library. It should be run in a terminal from inside library root directory.

**save.sh** To save files in library to a target path. It can use a list-of-files or create a default one excluding "target" and ".git" files.

It should be run in a terminal from inside library root directory.

Usage: save.sh [-v (verbose)] list_files_to_save root_path_to_save 

It can use environment variables like:

- LIST_TO_SAVE
- TARGET_PATH


